% Copyright 2016-2017 Stefano Fogarollo
%
% Licensed under the Apache License, Version 2.0 (the "License");
% you may not use this file except in compliance with the License.
% You may obtain a copy of the License at
%
% http://www.apache.org/licenses/LICENSE-2.0
%
% Unless required by applicable law or agreed to in writing, software
% distributed under the License is distributed on an "AS IS" BASIS,
% WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
% See the License for the specific language governing permissions and
% limitations under the License.


\documentclass[10pt]{article}

% images and box manipulation
\usepackage{graphicx}

% hyperlinks
\usepackage{hyperref}
\hypersetup{
  colorlinks   = true,    			% Colours links instead of ugly boxes
  urlcolor     = blue,    			% Colour for external hyperlinks
  linkcolor    = [rgb]{0,0.501960784,0.501960784}, 	% Colour of internal links
  citecolor    = red      			% Colour of citations
}

% title of document
\title{
\begin{figure}[ht!]
\centering
\includegraphics[width=90mm]{res/img/logo_university.eps}  % university logo
\end{figure}
\rule{\textwidth}{4pt}\vspace*{-\baselineskip}\vspace*{3.2pt}
\rule{\textwidth}{1pt}\vspace*{26pt}
{{\fontsize{20}{30}\selectfont \textbf{Progetto del corso Programmazione ad Oggetti 2016/2017}}}\\
\textit{LibraryMgr: applicazione desktop per gestione di una biblioteca.}
\rule{\textwidth}{1pt}\vspace*{-\baselineskip}\vspace*{6.4pt}
\rule{\textwidth}{4pt}
}

% author
\author{\href{mailto:stefano.fogarollo@studenti.unipd.com}{Stefano Fogarollo}\\Matricola: 1098023}

\begin{document}

\maketitle

\input{Aim}
\input{Classes}
\input{Polymorfism}
\input{Gui}
\input{Timetable}

\vfill
\centering
\rule{\textwidth}{4pt}\vspace*{-\baselineskip}\vspace*{3.2pt}
\rule{\textwidth}{1pt}\vspace*{2pt}
{\LARGE \textbf{That's All Folks!}}\\
\textit{The End}
\rule{\textwidth}{1pt}\vspace*{-\baselineskip}\vspace*{6.4pt}
\rule{\textwidth}{4pt}
\end{document}